import type { AxiosInstance } from 'axios';
import type { CustomKeyConfig, DRFAxiosConfig, FSKeyConfig, FilterHandler, FilterSetConfig } from './types';
/**
 *
 * @param config
 * @param filterSetHandlers
 */
export declare function convertFilterSetConfig<D, K extends FSKeyConfig<D> | null, C extends CustomKeyConfig | null>(config: FilterSetConfig<D, K, C>, filterSetHandlers?: Record<string, FilterHandler>): {};
export declare const applyDRFInterceptor: (axios: AxiosInstance, options?: DRFAxiosConfig) => AxiosInstance;
